Submit FATCA declaration
curl --request POST \
--url https://api-sandbox.mf-atlas.space/api/investors/v1/:id/fatca \
--header 'Content-Type: application/json' \
--data '
{
"birth_country": "<string>",
"birth_place": "<string>",
"income_slab": "<string>",
"occupation_type": "<string>",
"pep": "<string>",
"source_of_wealth": "<string>",
"tax_residency": "<string>",
"tin": "<string>"
}
'import requests
url = "https://api-sandbox.mf-atlas.space/api/investors/v1/:id/fatca"
payload = {
"birth_country": "<string>",
"birth_place": "<string>",
"income_slab": "<string>",
"occupation_type": "<string>",
"pep": "<string>",
"source_of_wealth": "<string>",
"tax_residency": "<string>",
"tin": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
birth_country: '<string>',
birth_place: '<string>',
income_slab: '<string>',
occupation_type: '<string>',
pep: '<string>',
source_of_wealth: '<string>',
tax_residency: '<string>',
tin: '<string>'
})
};
fetch('https://api-sandbox.mf-atlas.space/api/investors/v1/:id/fatca', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<string>",
"message": "<string>",
"success": true
}investors
Submit FATCA declaration
POST
/
api
/
investors
/
v1
/
:id
/
fatca
Submit FATCA declaration
Path Parameters
Body
application/json
FATCA declaration
ISO 3166-1 alpha-2, e.g. IN.
NSE's Applicant Income Range code: 31=below 1L, 32=1-5L, 33=5-10L, 34=10-25L, 35=25L-1Cr, 36=above 1Cr.
BUSINESS | SERVICE | PROFESSIONAL | AGRICULTURE | RETIRED | HOUSEWIFE | STUDENT | OTHERS.
YES | NO | RELATED.
SALARY | BUSINESS_INCOME | GIFT | ANCESTRAL_PROPERTY | RENTAL_INCOME | PRIZE_MONEY | ROYALTY | OTHER.
ISO 3166-1 alpha-2, e.g. IN.